Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api
Class AssignmentException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.wli.worklist.api.AssignmentException

All Implemented Interfaces:
  Serializable

    public class AssignmentException

extends Exception

Exception thrown when an assignment operation fails.

Since:
  8.1
See Also:
  Serialized Form

Constructor Summary
`AssignmentException(Exception except)` Construct a new `ProcessAssignmentException` exception wrapping an underlying exception.
`AssignmentException(String message)` Construct a new `AssignmentException` exception with a message.
`AssignmentException(String message, Exception except)` Construct a new `AssignmentException` exception wrapping an underlying exception and providing a message.

Method Summary
`Exception` | `getException()` Returns the underlying exception, if this exception wraps another exception.
`String` | `getMessage()` Return a detail message for this exception.
`void` | `printStackTrace()`
`void` | `printStackTrace(PrintStream stream)`
`void` | `printStackTrace(PrintWriter writer)`
`String` | `toString()` Override toString to pick up any embedded exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AssignmentException

    public AssignmentException(String message,
                               Exception except)

  Construct a new `AssignmentException` exception wrapping an underlying exception and providing a message.

  Parameters:
    `message` - The exception message
    `except` - The underlying exception

### AssignmentException

    public AssignmentException(String message)

  Construct a new `AssignmentException` exception with a message.

  Parameters:
    `message` - The exception message

### AssignmentException

    public AssignmentException(Exception except)

  Construct a new `ProcessAssignmentException` exception wrapping an underlying exception.

  Parameters:
    `except` - The underlying exception

Method Detail

### getException

    public Exception getException()

  Returns the underlying exception, if this exception wraps another exception.

  Returns:
    The underlying exception, or null

### printStackTrace

    public void printStackTrace()

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintStream stream)

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintWriter writer)

  Overrides:
    `printStackTrace` in class `Throwable`

### getMessage

    public String getMessage()

  Return a detail message for this exception.

  If there is an embedded exception, and if the NestedException has no detail message of its own, this method will return the detail message from the embedded exception.

  Overrides:
    `getMessage` in class `Throwable`
  Returns:
    The error or warning message.

### toString

    public String toString()

  Override toString to pick up any embedded exception.

  Overrides:
    `toString` in class `Throwable`
  Returns:
    A string representation of this exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD